org.jvnet.hudson

## Class Windows

- java.lang.Object
- - org.jvnet.hudson.MemoryMonitor
  - - org.jvnet.hudson.Windows

    public final class Windows
    extends MemoryMonitor

`MemoryMonitor` implementation for Windows.

JNA requires that the class and interface be public.

Author:
  Kohsuke Kawaguchi

### Nested Class Summary

Nested Classes
`static interface` `Windows.Kernel32`
`static class` `Windows.MEMORYSTATUSEX`

### Constructor Summary

Constructors
Constructor and Description
`Windows()`

### Method Summary

Methods
`MemoryUsage` `monitor()` Obtains the memory usage statistics.

### Methods inherited from class org.jvnet.hudson.MemoryMonitor

`get, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Windows

    public Windows()

### Method Detail

#### monitor

    public MemoryUsage monitor()

Description copied from class: `MemoryMonitor`
Obtains the memory usage statistics.

Specified by:
  `monitor` in class `MemoryMonitor`
Returns:
  always non-null object.